SWAPON(8)

NOM
swapon, swapoff - Activer et désactiver les périphériques et fichiers pour la pagination sur disque

SYNOPSIS
swapon [options] [fichier_spécial ...]
swapoff [-va] [fichier_spécial ...]

DESCRIPTION
swapon est utilisé pour indiquer les périphériques sur lesquels la pagination et l'échange auront lieu.

Le périphérique ou le fichier utilisé est indiqué par le paramètre fichier_spécial. Il peut être de la forme -L étiquette ou -U UUID pour indiquer le périphérique à l'aide d'une étiquette ou d'un UUID.

Les appels à swapon se produisent normalement dans les fichiers d'initialisation du système, rendant tous les périphériques d'échange disponibles, de telle sorte que l'activité de pagination est répartie sur plusieurs périphériques et fichiers.

swapoff désactive la pagination sur les périphériques ou fichiers indiqués. Quand l’attribut -a est donné, la pagination est désactivée sur tous les périphériques ou fichiers d'échange connus (comme trouvés dans /proc/swaps ou /etc/fstab).

OPTIONS

-a, --all
    Tous les périphériques marqués « swap » dans /etc/fstab sont rendus disponibles pour la pagination sauf s'ils possèdent l'option « noauto ». Les périphériques qui sont déjà utilisés en tant que tels sont silencieusement ignorés.

-d, --discard[=stratégie]
    Activer les abandons d’espace d’échange, si le périphérique sous-jacent permet l’opération d’abandon ou rognage. Cela pourrait améliorer les performances sur certains SSD, mais en général ce n’est pas le cas. L’option permet de sélectionner une des deux stratégies d’abandon d’espace d’échange disponibles : --discard=once pour réaliser une seule opération d’abandon sur toute la zone d’échange au moment de son activation ; --discard=pages pour abandonner les pages d’espace d’échange libérées avant qu’elles ne soient réutilisées, tout en utilisant l’espace d’échange. Si aucune stratégie n’est sélectionnée, le comportement par défaut est d’activer les deux types d’abandon. Les options discard, discard=once ou discard=pages de /etc/fstab peuvent aussi être utilisées pour activer les attributs d’abandon.

-e, --ifexists
    Passer silencieusement les périphériques qui n'existent pas. L'option de montage nofail de /etc/fstab pourrait aussi permettre de passer silencieusement les périphériques qui n'existent pas.

-f, --fixpgsz
    Réinitialiser (exec /sbin/mkswap) l'espace d'échange si sa taille de page ne correspond pas à celle du noyau en cours d'exécution. mkswap(2) initialise le périphérique entièrement et ne vérifie pas les blocs corrompus.

-h, --help
    Afficher un texte d'aide puis quitter.

-L étiquette
    Utiliser la partition avec l'étiquette donnée (l'accès à /proc/partitions est nécessaire).

-o, --options options
    Indiquer les options d’espace d’échange dans une chaîne, séparées par des virgules, compatible avec fstab. Par exemple :

        swapon -o pri=1,discard=pages,nofail /dev/sda2

    La chaîne options est évaluée en dernier et écrase toutes les autres options.

-p, --priority priorité
    Indiquer la priorité d'un périphérique d'échange. priorité est un entier compris entre -1 et 32767. Les nombres les plus élevés indiquent une priorité plus grande. Consultez swapon(2) pour une description complète des priorités d'espace d'échange. Ajoutez pri=valeur dans le champ option de /etc/fstab pour l'utiliser avec swapon -a. La valeur par défaut est -1 quand aucune priorité n’est définie.

-s, --summary
    Afficher le résumé par périphérique de l'utilisation de pagination par périphérique. Équivalent à « cat /proc/swaps ». Cette option n'est pas disponible dans les versions antérieures à Linux 2.1.25. Ce format de sortie est obsolète, remplacé par --show qui fournit un meilleur contrôle des données en sortie.

--show[=colonne ...]
    Afficher un tableau de zones d’échange. Consultez la sortie de --help pour une liste de colonnes disponibles.

--noheadings
    Ne pas afficher d’en-tête avec la sortie de --show.

--raw
    Afficher la sortie de --show sans alignement des colonnes du tableau.

--bytes
    Afficher la taille de l’espace d’échange en octet dans la sortie de --show au lieu d’unités lisibles.

-U UUID
    Utiliser la partition avec l'UUID indiqué.

-v, --verbose
    Sortie détaillée.

-V, --version
    Afficher les informations sur la version et quitter.

NOTES
Vous ne devriez pas utiliser swapon sur un fichier qui comporte des trous. Cela peut être vu dans le journal système comme

    swapon: swapfile has holes.

L’implémentation de fichier d’échange dans le noyau s’attend à pouvoir écrire directement dans le fichier, sans aide du système de fichiers. C’est un problème pour les fichiers préalloués (par exemple par fallocate(1)) sur les systèmes de fichiers comme XFS ou ext4 et sur les systèmes de fichiers utilisant la copie sur écriture (« copy-on-write ») comme Btrfs

Utiliser dd(1) et /dev/zero est conseillé pour éviter les trous sur XFS et ext4.

swapon risque de ne pas fonctionner correctement lors de l’utilisation d’un fichier d’échange avec certaines versions de Btrfs. C’est parce que Btrfs utilise la copie sur écriture : l’emplacement du fichier risque de ne pas être statique avec pour conséquence possible une corruption. Btrfs interdit activement l’utilisation de fichiers d’échange sur ses systèmes de fichiers en refusant de correspondre avec le fichier.

Un contournement possible est de faire correspondre le fichier d’échange avec un périphérique boucle. Cela permettra au système de fichiers de déterminer correctement la correspondance au risque d’un impact sur les performances.

La pagination par NFS (Network File System) risque de ne pas fonctionner.

swapon détecte et réécrit automatiquement les signatures d’un espace d’échange avec des données des anciens logiciels de mise en veille (par exemple S1SUSPEND, S2SUSPEND, etc.) Si cela n'est pas fait, des données seront corrompues lors du prochain réveil.

ENVIRONNEMENT

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

VOIR AUSSI
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

FICHIERS
/dev/sd?? les périphériques standards de pagination sur disque
/etc/fstab table de description en ASCII des systèmes de fichiers

HISTORIQUE
La commande swapon est apparue pour la première fois dans BSD 4.0.

DISPONIBILITÉ
La commande swapon fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Sébastien Blanchet en 2002. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.